- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
- SEE ALSO
- COPYRIGHT AND LICENSE

# NAME

Pegasus::DAX::TUType - class for Transformation referenced entities.

# SYNOPSIS

        use Pegasus::DAX::TUType;

        my $i = Pegasus::DAX::TUType->new( name => 'filename.txt' );
        $i->exectuable = 'false';

# DESCRIPTION

This class remembers a reference expressed in the `Transformation` class. The reference becomes part of the transformation's `uses` bundle.

# METHODS

new()
new( a => b, c => d, ... )
new( { a => b, c => d, ... } )

  The default constructor will create an empty instance whose scalar attributes can be adjusted using the getters and setters provided by the `AUTOLOAD` inherited method. Other means to set attributes is to used named lists.

name

  This setter and getter is inherited.

namespace

  Setter and getter for a namespace string.

version

  Setter and getter for a version string.

executable

  Setter and getter for boolean values. Please use Perl truth.

toXML( $handle, $indent, $xmlns )

  The purpose of the `toXML` function is to recursively generate XML from the internal data structures. The first argument is a file handle open for writing. This is where the XML will be generated. The second argument is a string with the amount of white-space that should be used to indent elements for pretty printing. The third argument may not be defined. If defined, all element tags will be prefixed with this name space.

# SEE ALSO

Pegasus::DAX::PlainFilename

  Base class.

Pegasus::DAX::Transformation

  Aggregating class.

# COPYRIGHT AND LICENSE

Copyright 2007-2011 University Of Southern California

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.